class CreateProjectTopics < ActiveRecord::Migration[5.2]
  def change
    create_table :project_topics do |t|
      t.references :user 
      t.string :name 
      t.integer :position, default: 0
      t.integer :projects_count, default: 0

      t.timestamps
    end

    create_table :project_topic_ralates do |t|
      t.belongs_to :project_topic, index: true 
      t.belongs_to :project, index: true 

      t.timestamps
    end
  end
end
